Syntext DOCS
Get Started
API List Projects
GET/v1/projects

List Projects

Returns a paginated list of all documentation projects in your organization.

Query Parameters

Page number for pagination.

Number of results per page. Maximum: 100.

Filter by project status. One of: active, archived.

Response

Array of project objects.

Unique project identifier (e.g., prj_abc123).

Project display name.

URL-friendly identifier used in the docs URL.

Live documentation URL.

ISO 8601 timestamp of project creation.

ISO 8601 timestamp of last update.

Pagination metadata.

Current page number.

Results per page.

Total number of projects.

Total number of pages.

Example

curl https://api.syntext.dev/v1/projects \
-H "Authorization: Bearer stx_abc12345_..."
import { Syntext } from '@syntext/sdk'

const client = new Syntext('stx_abc12345_...')
const { data } = await client.projects.list()
from syntext import Syntext

client = Syntext("stx_abc12345_...")
projects = client.projects.list()

Response

{
  "data": [
    {
      "id": "prj_abc123",
      "name": "API Docs",
      "slug": "api-docs",
      "url": "https://api-docs-docs.syntext.dev",
      "createdAt": "2026-01-15T12:00:00Z",
      "updatedAt": "2026-01-20T08:30:00Z"
    },
    {
      "id": "prj_def456",
      "name": "SDK Reference",
      "slug": "sdk-reference",
      "url": "https://sdk-reference-docs.syntext.dev",
      "createdAt": "2026-02-01T09:15:00Z",
      "updatedAt": "2026-02-10T14:22:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "perPage": 20,
    "total": 2,
    "totalPages": 1
  }
}
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC